Skip to main content

VPN Customer Gateway

Customer-side gateway definitions (IKE/ESP policy) used by site-to-site VPN connections.

Resource base path: /restapi/vpncustomergateway

MethodPathDescription
POST/restapi/vpncustomergateway/addVpnCustomerGatewayAdd VPN Customer Gateway
GET/restapi/vpncustomergateway/vpnCustomerGatewayListVPN Customer Gateway List
PUT/restapi/vpncustomergateway/updateVpnCustomerGatewayUpdate VPN Customer Gateway
DELETE/restapi/vpncustomergateway/deleteVpnCustomerGateway/{uuid}Delete VPN Customer Gateway
note

apikey and secretkey are required HTTP headers on every request and are omitted from the parameter tables below. See Authentication.


Add VPN Customer Gateway​

Add VPN Customer Gateway.

POST /restapi/vpncustomergateway/addVpnCustomerGateway

Request body​

FieldTypeRequiredDescription
esplifetimestring✅ YesESP Lifetime (3600)
forceencapbooleanNo
ikepolicystring✅ YesIKE DH Example: Group 5(modpb1536)
ikeEncryptionstring✅ YesIKE Encryption (aes128,aes192,aes256,3des) Example: aes128
ikeHashstring✅ YesIKE Hash (sha1,sha256,sha384,sha512,md5) Example: sha1
ikeVersionstringNo
splitConnectionbooleanNo
ikelifetimestring✅ YesIKE lifetime (86400)
ipsecpskstring✅ YesIPsec Preshared-Key
espHashstring✅ YesESP Hash (sha1,sha256,sha384,sha512,md5) Example: sha1
espEncryptionstring✅ YesESP Encryption (aes128,aes192,aes256,3des) Example: aes128
cidrliststring✅ YesCIDR List
namestring✅ YesName
dpdbooleanNoDead Peer Detection
esppolicystring✅ YesPerfect Forward Secrecy Example: None
gatewaystring✅ YesGateway
{
"esplifetime": "string",
"forceencap": true,
"ikepolicy": "Group 5(modpb1536)",
"ikeEncryption": "aes128",
"ikeHash": "sha1",
"ikeVersion": "string",
"splitConnection": true,
"ikelifetime": "string",
"ipsecpsk": "string",
"espHash": "sha1",
"espEncryption": "aes128",
"cidrlist": "0.0.0.0/0",
"name": "example-name",
"dpd": true,
"esppolicy": "None",
"gateway": "string"
}

Example request​

curl -X POST \
"https://portal.your-domain.com/restapi/vpncustomergateway/addVpnCustomerGateway" \
-H "apikey: YOUR_API_KEY" \
-H "secretkey: YOUR_SECRET_KEY" \
-H "Content-Type: application/json" \
-d '{
"esplifetime": "string",
"forceencap": true,
"ikepolicy": "Group 5(modpb1536)",
"ikeEncryption": "aes128",
"ikeHash": "sha1",
"ikeVersion": "string",
"splitConnection": true,
"ikelifetime": "string",
"ipsecpsk": "string",
"espHash": "sha1",
"espEncryption": "aes128",
"cidrlist": "0.0.0.0/0",
"name": "example-name",
"dpd": true,
"esppolicy": "None",
"gateway": "string"
}'

Responses​

CodeDescription
200Successful operation.
401Invalid authentication credentials.
550Permission denied.
{
"count": 1,
"listVpnCustomerGatewayResponse": [
{
"esplifetime": "string",
"cidrList": "0.0.0.0/0",
"forceencap": true,
"ikepolicy": "string",
"ipsecPresharedKey": "string",
"ikeVersion": "string",
"splitConnection": true,
"isActive": true,
"ikelifetime": "string",
"uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"domainName": "example-name",
"name": "example-name",
"dpd": true,
"esppolicy": "string",
"gateway": "string",
"status": "Active"
}
]
}

VPN Customer Gateway List​

VPN Customer Gateway List.

GET /restapi/vpncustomergateway/vpnCustomerGatewayList

Parameters​

ParameterInTypeRequiredDescription
uuidquerystringNoUUID of the resource.

Example request​

curl -X GET \
"https://portal.your-domain.com/restapi/vpncustomergateway/vpnCustomerGatewayList" \
-H "apikey: YOUR_API_KEY" \
-H "secretkey: YOUR_SECRET_KEY"

Responses​

CodeDescription
200Successful operation.
401Invalid authentication credentials.
550Permission denied.
{
"count": 1,
"listVpnCustomerGatewayResponse": [
{
"esplifetime": "string",
"cidrList": "0.0.0.0/0",
"forceencap": true,
"ikepolicy": "string",
"ipsecPresharedKey": "string",
"ikeVersion": "string",
"splitConnection": true,
"isActive": true,
"ikelifetime": "string",
"uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"domainName": "example-name",
"name": "example-name",
"dpd": true,
"esppolicy": "string",
"gateway": "string",
"status": "Active"
}
]
}

Update VPN Customer Gateway​

Update VPN Customer Gateway.

PUT /restapi/vpncustomergateway/updateVpnCustomerGateway

Request body​

FieldTypeRequiredDescription
esplifetimestringNoESP Lifetime (second)
forceencapbooleanNoForce UDP Encapsulation of ESP Packets
ikepolicystringNoIKE DH Example: Group 5(modpb1536)
ikeEncryptionstringNoIKE Encryption Example: aes128
ikeHashstringNoIKE Hash Example: sha1
ikeVersionstringNoIKE version
splitConnectionbooleanNoSplit connections
ikelifetimestringNoIKE lifetime (second)
uuidstringNoUUID of the resource.
ipsecpskstringNoIPsec Preshared-Key
espHashstringNoESP Hash Example: sha1
espEncryptionstringNoESP Encryption Example: aes128
cidrliststringNoCIDR List
namestringNoName
dpdbooleanNoDead Peer Detection
esppolicystringNoPerfect Forward Secrecy Example: None
gatewaystringNoGateway
{
"esplifetime": "string",
"forceencap": true,
"ikepolicy": "Group 5(modpb1536)",
"ikeEncryption": "aes128",
"ikeHash": "sha1",
"ikeVersion": "string",
"splitConnection": true,
"ikelifetime": "string",
"uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"ipsecpsk": "string",
"espHash": "sha1",
"espEncryption": "aes128",
"cidrlist": "0.0.0.0/0",
"name": "example-name",
"dpd": true,
"esppolicy": "None",
"gateway": "string"
}

Example request​

curl -X PUT \
"https://portal.your-domain.com/restapi/vpncustomergateway/updateVpnCustomerGateway" \
-H "apikey: YOUR_API_KEY" \
-H "secretkey: YOUR_SECRET_KEY" \
-H "Content-Type: application/json" \
-d '{
"esplifetime": "string",
"forceencap": true,
"ikepolicy": "Group 5(modpb1536)",
"ikeEncryption": "aes128",
"ikeHash": "sha1",
"ikeVersion": "string",
"splitConnection": true,
"ikelifetime": "string",
"uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"ipsecpsk": "string",
"espHash": "sha1",
"espEncryption": "aes128",
"cidrlist": "0.0.0.0/0",
"name": "example-name",
"dpd": true,
"esppolicy": "None",
"gateway": "string"
}'

Responses​

CodeDescription
200Successful operation.
202Accepted — processed asynchronously (poll via the Resource API Status endpoint).
401Invalid authentication credentials.
550Permission denied.
{
"count": 1,
"listVpnCustomerGatewayResponse": [
{
"esplifetime": "string",
"cidrList": "0.0.0.0/0",
"forceencap": true,
"ikepolicy": "string",
"ipsecPresharedKey": "string",
"ikeVersion": "string",
"splitConnection": true,
"isActive": true,
"ikelifetime": "string",
"uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"domainName": "example-name",
"name": "example-name",
"dpd": true,
"esppolicy": "string",
"gateway": "string",
"status": "Active"
}
]
}

Delete VPN Customer Gateway​

Delete VPN Customer Gateway.

DELETE /restapi/vpncustomergateway/deleteVpnCustomerGateway/{uuid}

Parameters​

ParameterInTypeRequiredDescription
uuidpathstring✅ YesUUID of the resource.

Example request​

curl -X DELETE \
"https://portal.your-domain.com/restapi/vpncustomergateway/deleteVpnCustomerGateway/a1b2c3d4-e5f6-7890-abcd-ef1234567890" \
-H "apikey: YOUR_API_KEY" \
-H "secretkey: YOUR_SECRET_KEY"

Responses​

CodeDescription
200Successful operation.
401Invalid authentication credentials.
550Permission denied.
true